#include <iostream>
#include <cmath>
using namespace std;
int main (){
int N;
int sum=0;
cin>>N;
int mas[N][2];
cin>>mas[0][0]>>mas[0][1];
for (int i=0; i<N-1; i++){
    for (int q=i+1; q<N;q++){
    if (i==0) cin>>mas[q][0]>>mas[q][1];
    sum=sum+(pow((fabs(mas[i][0]-mas[q][0])), 2)+pow(fabs((mas[i][1]-mas[q][1])), 2));
    }
}
cout<<sum;
return 0;
}
